#pragma once

#include "utils/RaylibDeprecated.hpp"
#include <raylib.h>

/**
 * Draw GridMap using cam, use this inside BeginMode2D
 * @param  {Texture} texture : 
 * @param  {Camera2D} cam    : 
 */
void DrawGridMap(Texture texture, Camera2D cam);

/**
 * This is quick version without cam, does not support zoom
 * @param  {Texture} texture : 
 * @param  {Camera2D} cam    : 
 */
void DrawGridMapQuick(Texture texture, Vector2 offset);

Texture LoadDefaultGridMap();
